# $Revision: 1.19 $, $Date: 2008/07/27 22:14:51 $
Summary:	DocBook - DTD for technical documentation
Summary(pl.UTF-8):	DocBook - DTD przeznaczone do pisania dokumentacji technicznej
%define ver	3.1
%define sver	31
Name:		docbook-dtd%{sver}-sgml
Version:	1.0
Release:	17
Vendor:		OASIS
License:	Free
Group:		Applications/Publishing/SGML
URL:		http://www.oasis-open.org/docbook/
Source0:	http://www.oasis-open.org/docbook/sgml/%{ver}/docbk%{sver}.zip
# Source0-md5:	432749c0c806dbae81c8bcb70da3b5d3
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgmlparser
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd
Obsoletes:	docbook%{sver}-dtd
Obsoletes:	docbook-sgml-%{ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DocBook - DTD for technical documentation.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów przeznaczonych do
tworzenia dokumentacji programistycznej. Stosowany jest do pisania
podręczników systemowych, instrukcji technicznych jak i wielu innych
ciekawych rzeczy.

%prep
%setup -q -c
chmod 644 *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}

install *.dtd *.mod *.dcl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/

# install catalog (but filter out ISO entities)
grep -v 'ISO ' docbook.cat > $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/catalog


%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-13
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{_datadir}/sgml/docbook/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-dtd31-sgml.spec,v $
Revision 1.19  2008/07/27 22:14:51  arekm
- release 17

Revision 1.18  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.16  2005/04/18 17:03:57  mmazur
- rel 16 for th

Revision 1.15  2004/04/26 14:39:02  adamg
- release 15 for Ac (14 is for Ra)

Revision 1.14  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/22 08:28:14  qboosh
- BR: unzip (noticed by ciril)

Revision 1.11  2002/09/04 11:51:09  wiget
- drop sgml-iso-ent-fix, release 14

Revision 1.10  2002/09/04 08:54:28  qboosh
- simplified prep

Revision 1.9  2002/09/03 16:31:45  wiget
- release 13
- filter all files with sgml-iso-ent-fix to fix SGML ISO entities (like in sgml-common)
- new %%doc
- fixed %%post/%%postun scripts

Revision 1.8  2002/04/25 16:12:46  arturs
fixed a small typo

Revision 1.7  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/03/01 02:45:17  kloczek
- release 12,
- fix: Requires for sgml-common changed to Prereq.

Revision 1.3  2001/02/16 11:25:58  kloczek
- release 11 for allow upgrade from RH version.

Revision 1.2  2001/02/15 15:59:50  klakier
- cosmetics

Revision 1.1  2001/02/15 14:36:04  klakier
- rel 1
